#pragma once

#include <SFML/Window/Keyboard.hpp>
#include "board.h"

class Application
{
public:
    explicit Application();

    void run();
    void draw();
    bool processInput();

private:
    DIRECTION getDirection(sf::Keyboard::Key &key) const;

    Board board;
    sf::RenderWindow render_window;
};
